Page MenuHomePhabricator

Onboarding Reuven Lazarus
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:

Event Timeline

Dzahn created this task.Oct 10 2019, 8:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2019, 8:19 PM
CDanis added a subscriber: CDanis.Oct 10 2019, 8:21 PM
Dzahn renamed this task from Onboarding Reuven to Onboarding Reuven Lazarus.Oct 10 2019, 10:17 PM
Dzahn triaged this task as High priority.
Dzahn added a comment.Oct 11 2019, 7:50 PM

OIT reports E-mail account has been created. We can start now with some of these.

jijiki added a subscriber: jijiki.Oct 14 2019, 3:58 PM
Dzahn updated the task description. (Show Details)Oct 14 2019, 6:24 PM
Dzahn added a comment.Oct 14 2019, 6:29 PM

Hello Reuven and welcome to the team!

this is your onboarding ticket. Let's start things with creating a Wikimedia Developer account for you.

Please see https://wikitech.wikimedia.org/w/index.php?title=Special:CreateAccount&returnto=Main+Page and register a user.

You'll have to pick a wiki user and a shell user name. You may want to take some time to decide because they are relatively hard to change once they are created and will be part of wiki and git history.

Cheers,

Daniel

Dzahn updated the task description. (Show Details)Oct 14 2019, 6:31 PM
Dzahn updated the task description. (Show Details)Oct 14 2019, 6:36 PM
Dzahn updated the task description. (Show Details)Oct 14 2019, 6:41 PM
  • added to maint-announce shared inbox / Google group
  • added to "Ops vendor maintenance" calendar and permissions

Hi, Reuven here! LDAP user created, and I just set up 2FA on this Phabricator account. I'll see what else I can do from this checklist on my own.

RLazarus updated the task description. (Show Details)Oct 15 2019, 4:08 PM
CDanis updated the task description. (Show Details)
Dzahn added a comment.Oct 15 2019, 4:42 PM

Very nice. Welcome @RLazarus! I'll upload a change to code review to create your shell account. Could you create a SSH key pair and paste the public part here on ticket? Also feel free to come to IRC and ping so we can add you to some public and private channels. Cheers, Daniel

Here's the SSH public key:

$ ssh-keygen -t ed25519
$ cat /home/rlazarus/.ssh/id_ed25519.pub
ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIPtpkeKO3QRiK4rGMkCX5u3T55PPWGId+GFPraW0aNLR rlazarus@rlazarus

And here's the as-yet unsigned GPG fingerprint:

$ gpg --fingerprint 6E82BDE26FB4C28628FFA9A7D2A62155895EABB3
pub   rsa4096 2019-10-15 [SC] [expires: 2020-10-14]
      6E82 BDE2 6FB4 C286 28FF  A9A7 D2A6 2155 895E ABB3
uid           [ultimate] Reuven Lazarus <rlazarus@wikimedia.org>
sub   rsa4096 2019-10-15 [E] [expires: 2020-10-14]
RLazarus updated the task description. (Show Details)Oct 15 2019, 4:48 PM
Dzahn updated the task description. (Show Details)Oct 15 2019, 6:20 PM
  • added to special groups in Phabricator to see private tickets (acl*SRE and WMF/NDA)

Change 543194 had a related patch set uploaded (by RLazarus; owner: RLazarus):
[operations/puppet@production] nagios_common: Add rlazarus to sms contactgroup

https://gerrit.wikimedia.org/r/543194

Dzahn updated the task description. (Show Details)Oct 15 2019, 6:49 PM

Change 543197 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add Reuven Lazarus to ldap_only_admins

https://gerrit.wikimedia.org/r/543197

Change 543197 merged by Dzahn:
[operations/puppet@production] admins: add Reuven Lazarus to ldap_only_admins

https://gerrit.wikimedia.org/r/543197

Mentioned in SAL (#wikimedia-operations) [2019-10-15T19:07:11Z] <mutante> LDAP - adding user rzl to groups wmf and ops (T235215)

Change 543200 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] icinga: give command permissions to RLazarus

https://gerrit.wikimedia.org/r/543200

Change 543200 merged by RLazarus:
[operations/puppet@production] icinga: give command permissions to RLazarus

https://gerrit.wikimedia.org/r/543200

RLazarus updated the task description. (Show Details)Oct 15 2019, 7:18 PM
Dzahn updated the task description. (Show Details)Oct 15 2019, 7:19 PM

Change 543204 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] admins: add shell account for Reuven Lazarus

https://gerrit.wikimedia.org/r/543204

Dzahn updated the task description. (Show Details)Oct 15 2019, 7:50 PM
RLazarus updated the task description. (Show Details)Oct 15 2019, 7:55 PM
Dzahn updated the task description. (Show Details)Oct 15 2019, 10:10 PM

Change 543194 merged by Dzahn:
[operations/puppet@production] nagios_common: Add rlazarus to sms contactgroup

https://gerrit.wikimedia.org/r/543194

Change 543204 merged by Dzahn:
[operations/puppet@production] admins: add shell account for Reuven Lazarus

https://gerrit.wikimedia.org/r/543204

Dzahn updated the task description. (Show Details)Oct 16 2019, 7:06 PM
RLazarus updated the task description. (Show Details)Oct 16 2019, 7:26 PM
RLazarus updated the task description. (Show Details)Oct 16 2019, 7:58 PM
Dzahn updated the task description. (Show Details)Wed, Oct 23, 7:54 PM

GPG key signed, added to pwstore. re-encrypted files and pushed to repo.

RLazarus closed this task as Resolved.Wed, Oct 23, 7:57 PM

Checkboxes checked! If anything else comes up, we can handle it individually.